flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Maurice Amsellem <maurice.amsel...@systar.com>
Subject RE: describeType still used in many places in SDK
Date Thu, 10 Oct 2013 17:44:13 GMT
That may sound like a dumb question, but since Apache Flex only supports FP 10.2 and beyond,
do we even need to make the check for 10.1 ?


-----Message d'origine-----
De : Michael A. Labriola [mailto:labriola@digitalprimates.net] 
Envoyé : jeudi 10 octobre 2013 19:14
À : dev@flex.apache.org
Objet : RE: describeType still used in many places in SDK

>Before we switch to it, we have to be absolutely sure of when it was first supported.
 I wouldn't want to break our Flash version compatibility range.  But otherwise, I have no
objections if you want to switch to it.

If it helps, in my code, I am checking for FP10.1 or higher which is when I switch to describeTypeJSON
instead of the original. It's in avmplus

There is a bug filed for Tamarin in BugZilla to have in documented as of 3/21/2011. [1]


[1] https://bugzilla.mozilla.org/show_bug.cgi?id=643455

View raw message